- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
libepubgen::EPUBTextGenerator::Impl Struct Reference
Inheritance diagram for libepubgen::EPUBTextGenerator::Impl:

## Public Member Functions
| Impl (EPUBPackage *package, EPUBSplitMethod method)
Public Member Functions inherited from libepubgen::EPUBGenerator
| EPUBGenerator (EPUBPackage *package, EPUBSplitMethod method)
virtual | ~EPUBGenerator ()
void | startDocument (const librevenge::RVNGPropertyList &props)
void | endDocument ()
void | setDocumentMetaData (const librevenge::RVNGPropertyList &props)
void | startNewHtmlFile ()
const EPUBHTMLGeneratorPtr_t & | getHtml () const
const EPUBSplitGuard & | getSplitGuard () const
EPUBSplitGuard & | getSplitGuard ()

## Public Attributes
bool | m_inPageSpan
bool | m_inHeader
bool | m_inFooter
RVNGPropertyList | m_pageSpanProps
shared_ptr< EPUBTextElements > | m_currentHeader
shared_ptr< EPUBTextElements > | m_currentFooter
shared_ptr< EPUBTextElements > | m_currentHeaderOrFooter
ImageHandlerMap_t | m_imageHandlers
bool | m_breakAfterPara

## Private Member Functions
virtual void | startHtmlFile ()
virtual void | endHtmlFile ()
| Impl (const Impl &)
Impl & | operator= (const Impl &)

## Constructor & Destructor Documentation

libepubgen::EPUBTextGenerator::Impl::Impl | ( | EPUBPackage * | package,
|  | EPUBSplitMethod | method
| ) |  |

libepubgen::EPUBTextGenerator::Impl::Impl | ( | const Impl & |  | ) |
| private

## Member Function Documentation

void libepubgen::EPUBTextGenerator::Impl::endHtmlFile | ( |  | ) |
| private virtual

Implements libepubgen::EPUBGenerator.

Impl& libepubgen::EPUBTextGenerator::Impl::operator= | ( | const Impl & |  | ) |
| private

void libepubgen::EPUBTextGenerator::Impl::startHtmlFile | ( |  | ) |
| private virtual

Implements libepubgen::EPUBGenerator.

## Member Data Documentation

bool libepubgen::EPUBTextGenerator::Impl::m_breakAfterPara

shared_ptr<EPUBTextElements> libepubgen::EPUBTextGenerator::Impl::m_currentFooter

shared_ptr<EPUBTextElements> libepubgen::EPUBTextGenerator::Impl::m_currentHeader

shared_ptr<EPUBTextElements> libepubgen::EPUBTextGenerator::Impl::m_currentHeaderOrFooter

ImageHandlerMap_t libepubgen::EPUBTextGenerator::Impl::m_imageHandlers

bool libepubgen::EPUBTextGenerator::Impl::m_inFooter

bool libepubgen::EPUBTextGenerator::Impl::m_inHeader

bool libepubgen::EPUBTextGenerator::Impl::m_inPageSpan

RVNGPropertyList libepubgen::EPUBTextGenerator::Impl::m_pageSpanProps

The documentation for this struct was generated from the following file:

- EPUBTextGenerator.cpp